package sun.text;

import java.text.CharacterIterator;

public abstract class CodePointIterator
{
    public static final int DONE = -1;
    
    public CodePointIterator() {
    }
    
    public abstract void setToStart();
    
    public abstract void setToLimit();
    
    public abstract int next();
    
    public abstract int prev();
    
    public abstract int charIndex();
    
    public static CodePointIterator create(char[] array) {
        return new CharArrayCodePointIterator(array);
    }
    
    public static CodePointIterator create(char[] array, int n, int n2) {
        return new CharArrayCodePointIterator(array, n, n2);
    }
    
    public static CodePointIterator create(CharSequence charSequence) {
        return new CharSequenceCodePointIterator(charSequence);
    }
    
    public static CodePointIterator create(CharacterIterator characterIterator) {
        return new CharacterIteratorCodePointIterator(characterIterator);
    }
}
